Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Inventor - Activer une règle Ilogic quand on ajoute une vue

3 RÉPONSES 3
RÉSOLU
Répondre
Message 1 sur 4
MkEHWD
220 Visites, 3 Réponses

Inventor - Activer une règle Ilogic quand on ajoute une vue

Bonjour, je cherche depuis ce matin une manière d'activer une règle Ilogic quand j'ajoute une view. Plus en détail : Quand je créer mon plan et que j'ajoute la première view, j'aimerais que ma règle s'active pour créer un part list automatiquement. Un peu comme la fonction "UpdateAfterChange" ,mais à l'ajout d'une view. 

 

J'ai essayer via "Event Trigger" , mais cela ne fonctinne pas. Sur les forums anglais, rien trouvé non plus. Si quelqu'un trouve quelque chose, pouvez-vous me l'envoyer... Merci!

3 RÉPONSES 3
Message 2 sur 4
ThomasB44
en réponse à: MkEHWD

Salut @MkEHWD 

Alors, les évènements déclencheurs (trigger) conçus dans Inventor ne suffisent pas pour répondre à cela, en effet.

Toutefois, il est possible, mais relativement complexe, "d'attraper" ce genre d'évènements.

Il faut passer par les évènements de l'application et filtrer sur ce qui se passe.

Avant d'en arriver là, je pense qu'il y a plus simple.

 

Pourquoi ne pas déclencher une règle "Avant l'enregistrement du document" qui vérifie qu'une liste de pièce existe, et la pose si elle n'existe pas ?

oSheet.PartsLists.Count

Cette ligne retournera 0, et il faudra poser la liste de pièce au bon endroit sur la feuille.

 


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 3 sur 4
lah29-bertrand
en réponse à: MkEHWD

Salut, 

Pour faire ce que tu désires, moi j'utilise ilogic pour créer mes fichiers dessin directement depuis le modèle.

A l'insertion de la première vue j'ai le code ci-dessous qui lance une règle d'insertion de la liste de pièces si le modèle est un assemblage

 

'Insertion de la vue principale
oBaseView = oSheet.DrawingViews.AddBaseView(oDoc, oPoint1, 1 / Ech, kFrontViewOrientation, kHiddenLineDrawingViewStyle, oActiveView, , oBaseViewOptions)
If oDoc.DocumentType = kAssemblyDocumentObject Then
iLogicVb.Automation.RunExternalRule(oDrawingDoc, "DWG_PartList.iLogicVb")
End if

 

 @+

bertrand

 

 

 

Message 4 sur 4
MkEHWD
en réponse à: MkEHWD

Ce sont 2 bonnes solutions. J'essaye les deux ce matin et je vous redonne des nouvelles. Merci beaucoup!

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums